package com.jjt.biz.domain;

import java.util.Date;

import com.alibaba.druid.support.monitor.annotation.MTable;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 蓝牙信息对象 bluetooth_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class BluetoothInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 信息ID
     */
    private Long bInfoId;

    /**
     * 设备ID
     */
    @Excel(name = "设备ID")
    private String deviceId;

    /**
     * 场馆ID
     */
    @Excel(name = "场馆ID")
    private Long venueId;

    /**
     * 区域ID
     */
    @Excel(name = "区域ID")
    private Long areaId;
    /**
     * 场馆名称
     */
    private String venueName;
    /**
     * 区域名称
     */
    private String areaName;

    /**
     * MAC地址
     */
    @Excel(name = "MAC地址")
    private String mac;

    /**
     * 蓝牙名称
     */
    @Excel(name = "蓝牙名称")
    private String name;

    /**
     * 文件名
     */
    @Excel(name = "文件名")
    private String fileName;

    /**
     * 文件地址
     */
    @Excel(name = "文件地址")
    private String filePath;

    /**
     * 是否非法
     */
    @Excel(name = "是否非法")
    private String isIllegal;

    /**
     * 关键字类型
     */
    @Excel(name = "关键字类型")
    private String keyType;
    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String lat;
    /**
     * 经度
     */
    @Excel(name = "经度")
    private String lng;

    /**
     * 数据采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getVenueName() {
        return venueName;
    }

    public void setVenueName(String venueName) {
        this.venueName = venueName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public void setbInfoId(Long bInfoId) {
        this.bInfoId = bInfoId;
    }

    public Long getbInfoId() {
        return bInfoId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setVenueId(Long venueId) {
        this.venueId = venueId;
    }

    public Long getVenueId() {
        return venueId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getMac() {
        return mac;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setIsIllegal(String isIllegal) {
        this.isIllegal = isIllegal;
    }

    public String getIsIllegal() {
        return isIllegal;
    }

    public void setKeyType(String keyType) {
        this.keyType = keyType;
    }

    public String getKeyType() {
        return keyType;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getTime() {
        return time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("bInfoId", getbInfoId())
                .append("deviceId", getDeviceId())
                .append("venueId", getVenueId())
                .append("areaId", getAreaId())
                .append("mac", getMac())
                .append("name", getName())
                .append("fileName", getFileName())
                .append("filePath", getFilePath())
                .append("isIllegal", getIsIllegal())
                .append("keyType", getKeyType())
                .append("time", getTime())
                .toString();
    }
}
