package com.jjt.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 设备信息对象 device_info
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
public class DeviceInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 租户号 */
    private Long autoId;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 设备品牌 */
    @Excel(name = "设备品牌")
    private String deviceBrand;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String deviceModel;

    /** 备注 */
    @Excel(name = "备注")
    private String deviceDesc;

    /** 注册时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "注册时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registerTime;

    public void setAutoId(Long autoId) 
    {
        this.autoId = autoId;
    }

    public Long getAutoId() 
    {
        return autoId;
    }
    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }
    public void setDeviceBrand(String deviceBrand) 
    {
        this.deviceBrand = deviceBrand;
    }

    public String getDeviceBrand() 
    {
        return deviceBrand;
    }
    public void setDeviceModel(String deviceModel) 
    {
        this.deviceModel = deviceModel;
    }

    public String getDeviceModel() 
    {
        return deviceModel;
    }
    public void setDeviceDesc(String deviceDesc) 
    {
        this.deviceDesc = deviceDesc;
    }

    public String getDeviceDesc() 
    {
        return deviceDesc;
    }
    public void setRegisterTime(Date registerTime) 
    {
        this.registerTime = registerTime;
    }

    public Date getRegisterTime() 
    {
        return registerTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("autoId", getAutoId())
            .append("deviceId", getDeviceId())
            .append("deviceBrand", getDeviceBrand())
            .append("deviceModel", getDeviceModel())
            .append("deviceDesc", getDeviceDesc())
            .append("registerTime", getRegisterTime())
            .toString();
    }
}
