package com.jjt.biz.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 设备升级信息对象 device_upgrade
 *
 * @author ruoyi
 * @date 2023-07-10
 */
public class DeviceUpgrade extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long upId;

    /**
     * 版本名称
     */
    @Excel(name = "版本名称")
    private String versionName;

    /**
     * 版本号
     */
    @Excel(name = "版本号")
    private Long version;

    /**
     * 文件地址
     */
    @Excel(name = "文件地址")
    private String path;

    /**
     * 更新说明
     */
    @Excel(name = "更新说明")
    private String desc;

    /**
     * 文件MD5值
     */
    @Excel(name = "文件MD5值")
    private String md5;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    public void setUpId(Long upId) {
        this.upId = upId;
    }

    public Long getUpId() {
        return upId;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    public Long getVersion() {
        return version;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getPath() {
        return path;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }

    public String getMd5() {
        return md5;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("upId", getUpId())
                .append("versionName", getVersionName())
                .append("version", getVersion())
                .append("path", getPath())
                .append("desc", getDesc())
                .append("md5", getMd5())
                .append("createdTime", getCreatedTime())
                .toString();
    }
}
