package com.jjt.biz.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 场馆基本信息对象 venue_info
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
public class VenueInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 场馆ID */
    private Long venueId;

    /** 场馆名称 */
    @Excel(name = "场馆名称")
    private String venueName;

    /** 场馆地址 */
    @Excel(name = "场馆地址")
    private String venueAddr;

    /** 场馆用途 */
    @Excel(name = "场馆用途")
    private String venueDesc;

    /** 场馆区域信息 */
    private List<VenueArea> venueAreaList;

    public void setVenueId(Long venueId) 
    {
        this.venueId = venueId;
    }

    public Long getVenueId() 
    {
        return venueId;
    }
    public void setVenueName(String venueName) 
    {
        this.venueName = venueName;
    }

    public String getVenueName() 
    {
        return venueName;
    }
    public void setVenueAddr(String venueAddr) 
    {
        this.venueAddr = venueAddr;
    }

    public String getVenueAddr() 
    {
        return venueAddr;
    }
    public void setVenueDesc(String venueDesc) 
    {
        this.venueDesc = venueDesc;
    }

    public String getVenueDesc() 
    {
        return venueDesc;
    }

    public List<VenueArea> getVenueAreaList()
    {
        return venueAreaList;
    }

    public void setVenueAreaList(List<VenueArea> venueAreaList)
    {
        this.venueAreaList = venueAreaList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("venueId", getVenueId())
            .append("venueName", getVenueName())
            .append("venueAddr", getVenueAddr())
            .append("venueDesc", getVenueDesc())
            .append("venueAreaList", getVenueAreaList())
            .toString();
    }
}
