package com.jjt.biz.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * WIFI信息对象 wifi_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class WifiInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 信息ID
     */
    private Long wifiInfoId;

    /**
     * 设备ID
     */
    @Excel(name = "设备ID")
    private String deviceId;

    /**
     * 场馆ID
     */
    @Excel(name = "场馆ID")
    private Long venueId;

    /**
     * 区域ID
     */
    @Excel(name = "区域ID")
    private Long areaId;

    /**
     * MAC地址
     */
    @Excel(name = "MAC地址")
    private String bssid;

    /**
     * WIFI名称
     */
    @Excel(name = "WIFI名称")
    private String ssid;

    /**
     * 认证页面
     */
    @Excel(name = "认证页面")
    private String authPage;

    /**
     * 是否非法
     */
    @Excel(name = "是否非法")
    private String isIllegal;

    /**
     * 关键字类型
     */
    @Excel(name = "关键字类型")
    private String keyType;
    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String lat;
    /**
     * 经度
     */
    @Excel(name = "经度")
    private String lng;

    /**
     * 数据采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;
    /**
     * 场馆名称
     */
    private String venueName;
    /**
     * 区域名称
     */
    private String areaName;

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getVenueName() {
        return venueName;
    }

    public void setVenueName(String venueName) {
        this.venueName = venueName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public void setWifiInfoId(Long wifiInfoId) {
        this.wifiInfoId = wifiInfoId;
    }

    public Long getWifiInfoId() {
        return wifiInfoId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setVenueId(Long venueId) {
        this.venueId = venueId;
    }

    public Long getVenueId() {
        return venueId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setBssid(String bssid) {
        this.bssid = bssid;
    }

    public String getBssid() {
        return bssid;
    }

    public void setSsid(String ssid) {
        this.ssid = ssid;
    }

    public String getSsid() {
        return ssid;
    }

    public void setAuthPage(String authPage) {
        this.authPage = authPage;
    }

    public String getAuthPage() {
        return authPage;
    }

    public void setIsIllegal(String isIllegal) {
        this.isIllegal = isIllegal;
    }

    public String getIsIllegal() {
        return isIllegal;
    }

    public void setKeyType(String keyType) {
        this.keyType = keyType;
    }

    public String getKeyType() {
        return keyType;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getTime() {
        return time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wifiInfoId", getWifiInfoId())
                .append("deviceId", getDeviceId())
                .append("venueId", getVenueId())
                .append("areaId", getAreaId())
                .append("bssid", getBssid())
                .append("ssid", getSsid())
                .append("authPage", getAuthPage())
                .append("isIllegal", getIsIllegal())
                .append("keyType", getKeyType())
                .append("time", getTime())
                .toString();
    }
}
