package com.jjt.biz.mapper;

import java.util.List;

import com.jjt.biz.domain.DeviceUpgrade;
import org.apache.coyote.http11.upgrade.UpgradeInfo;

/**
 * 设备升级信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-10
 */
public interface DeviceUpgradeMapper {
    /**
     * 查询设备升级信息
     *
     * @param upId 设备升级信息主键
     * @return 设备升级信息
     */
    public DeviceUpgrade selectDeviceUpgradeByUpId(Long upId);

    /**
     * 查询设备升级信息列表
     *
     * @param deviceUpgrade 设备升级信息
     * @return 设备升级信息集合
     */
    public List<DeviceUpgrade> selectDeviceUpgradeList(DeviceUpgrade deviceUpgrade);

    /**
     * 新增设备升级信息
     *
     * @param deviceUpgrade 设备升级信息
     * @return 结果
     */
    public int insertDeviceUpgrade(DeviceUpgrade deviceUpgrade);

    /**
     * 修改设备升级信息
     *
     * @param deviceUpgrade 设备升级信息
     * @return 结果
     */
    public int updateDeviceUpgrade(DeviceUpgrade deviceUpgrade);

    /**
     * 删除设备升级信息
     *
     * @param upId 设备升级信息主键
     * @return 结果
     */
    public int deleteDeviceUpgradeByUpId(Long upId);

    /**
     * 批量删除设备升级信息
     *
     * @param upIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceUpgradeByUpIds(Long[] upIds);

    /**
     * 获取最新一条记录
     *
     * @return upd
     */
    DeviceUpgrade selectDeviceUpgradeLastOne();
}
