package com.jjt.biz.mapper;

import java.util.List;
import com.jjt.biz.domain.KeyInfo;

/**
 * 关键字Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
public interface KeyInfoMapper 
{
    /**
     * 查询关键字
     * 
     * @param keyId 关键字主键
     * @return 关键字
     */
    public KeyInfo selectKeyInfoByKeyId(Long keyId);

    /**
     * 查询关键字列表
     * 
     * @param keyInfo 关键字
     * @return 关键字集合
     */
    public List<KeyInfo> selectKeyInfoList(KeyInfo keyInfo);

    /**
     * 新增关键字
     * 
     * @param keyInfo 关键字
     * @return 结果
     */
    public int insertKeyInfo(KeyInfo keyInfo);

    /**
     * 修改关键字
     * 
     * @param keyInfo 关键字
     * @return 结果
     */
    public int updateKeyInfo(KeyInfo keyInfo);

    /**
     * 删除关键字
     * 
     * @param keyId 关键字主键
     * @return 结果
     */
    public int deleteKeyInfoByKeyId(Long keyId);

    /**
     * 批量删除关键字
     * 
     * @param keyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKeyInfoByKeyIds(Long[] keyIds);
}
