package com.jjt.biz.mapper;

import java.util.List;

import com.jjt.biz.domain.RealTimeInfoVO;
import com.jjt.biz.domain.WifiInfo;

/**
 * WIFI信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
public interface WifiInfoMapper 
{
    /**
     * 查询WIFI信息
     * 
     * @param wifiInfoId WIFI信息主键
     * @return WIFI信息
     */
    public WifiInfo selectWifiInfoByWifiInfoId(Long wifiInfoId);

    /**
     * 查询WIFI信息列表
     * 
     * @param wifiInfo WIFI信息
     * @return WIFI信息集合
     */
    public List<WifiInfo> selectWifiInfoList(WifiInfo wifiInfo);

    /**
     * 新增WIFI信息
     * 
     * @param wifiInfo WIFI信息
     * @return 结果
     */
    public int insertWifiInfo(WifiInfo wifiInfo);

    /**
     * 修改WIFI信息
     * 
     * @param wifiInfo WIFI信息
     * @return 结果
     */
    public int updateWifiInfo(WifiInfo wifiInfo);

    /**
     * 删除WIFI信息
     * 
     * @param wifiInfoId WIFI信息主键
     * @return 结果
     */
    public int deleteWifiInfoByWifiInfoId(Long wifiInfoId);

    /**
     * 批量删除WIFI信息
     * 
     * @param wifiInfoIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWifiInfoByWifiInfoIds(Long[] wifiInfoIds);
    /**
     * 查询实时记录
     *
     * @return
     */
    List<RealTimeInfoVO> selectRealTimeInfoList();
}
