package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.BluetoothInfo;

/**
 * 蓝牙信息Service接口
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
public interface IBluetoothInfoService 
{
    /**
     * 查询蓝牙信息
     * 
     * @param bInfoId 蓝牙信息主键
     * @return 蓝牙信息
     */
    public BluetoothInfo selectBluetoothInfoByBInfoId(Long bInfoId);

    /**
     * 查询蓝牙信息列表
     * 
     * @param bluetoothInfo 蓝牙信息
     * @return 蓝牙信息集合
     */
    public List<BluetoothInfo> selectBluetoothInfoList(BluetoothInfo bluetoothInfo);

    /**
     * 新增蓝牙信息
     * 
     * @param bluetoothInfo 蓝牙信息
     * @return 结果
     */
    public int insertBluetoothInfo(BluetoothInfo bluetoothInfo);

    /**
     * 修改蓝牙信息
     * 
     * @param bluetoothInfo 蓝牙信息
     * @return 结果
     */
    public int updateBluetoothInfo(BluetoothInfo bluetoothInfo);

    /**
     * 批量删除蓝牙信息
     * 
     * @param bInfoIds 需要删除的蓝牙信息主键集合
     * @return 结果
     */
    public int deleteBluetoothInfoByBInfoIds(Long[] bInfoIds);

    /**
     * 删除蓝牙信息信息
     * 
     * @param bInfoId 蓝牙信息主键
     * @return 结果
     */
    public int deleteBluetoothInfoByBInfoId(Long bInfoId);
}
