package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.DeviceInfo;

/**
 * 设备信息Service接口
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
public interface IDeviceInfoService 
{
    /**
     * 查询设备信息
     * 
     * @param autoId 设备信息主键
     * @return 设备信息
     */
    public DeviceInfo selectDeviceInfoByAutoId(Long autoId);

    /**
     * 查询设备信息列表
     * 
     * @param deviceInfo 设备信息
     * @return 设备信息集合
     */
    public List<DeviceInfo> selectDeviceInfoList(DeviceInfo deviceInfo);

    /**
     * 新增设备信息
     * 
     * @param deviceInfo 设备信息
     * @return 结果
     */
    public int insertDeviceInfo(DeviceInfo deviceInfo);

    /**
     * 修改设备信息
     * 
     * @param deviceInfo 设备信息
     * @return 结果
     */
    public int updateDeviceInfo(DeviceInfo deviceInfo);

    /**
     * 批量删除设备信息
     * 
     * @param autoIds 需要删除的设备信息主键集合
     * @return 结果
     */
    public int deleteDeviceInfoByAutoIds(Long[] autoIds);

    /**
     * 删除设备信息信息
     * 
     * @param autoId 设备信息主键
     * @return 结果
     */
    public int deleteDeviceInfoByAutoId(Long autoId);
}
