package com.jjt.biz.service;

import java.util.List;
import com.jjt.biz.domain.VenueArea;

/**
 * 场馆区域Service接口
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
public interface IVenueAreaService 
{
    /**
     * 查询场馆区域
     * 
     * @param areaId 场馆区域主键
     * @return 场馆区域
     */
    public VenueArea selectVenueAreaByAreaId(Long areaId);

    /**
     * 查询场馆区域列表
     * 
     * @param venueArea 场馆区域
     * @return 场馆区域集合
     */
    public List<VenueArea> selectVenueAreaList(VenueArea venueArea);

    /**
     * 新增场馆区域
     * 
     * @param venueArea 场馆区域
     * @return 结果
     */
    public int insertVenueArea(VenueArea venueArea);

    /**
     * 修改场馆区域
     * 
     * @param venueArea 场馆区域
     * @return 结果
     */
    public int updateVenueArea(VenueArea venueArea);

    /**
     * 批量删除场馆区域
     * 
     * @param areaIds 需要删除的场馆区域主键集合
     * @return 结果
     */
    public int deleteVenueAreaByAreaIds(Long[] areaIds);

    /**
     * 删除场馆区域信息
     * 
     * @param areaId 场馆区域主键
     * @return 结果
     */
    public int deleteVenueAreaByAreaId(Long areaId);
}
