package com.jjt.biz.service;

import java.util.List;

import com.jjt.biz.domain.TopVO;
import com.jjt.biz.domain.VenueInfo;

/**
 * 场馆基本信息Service接口
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public interface IVenueInfoService {
    /**
     * 查询场馆基本信息
     *
     * @param venueId 场馆基本信息主键
     * @return 场馆基本信息
     */
    public VenueInfo selectVenueInfoByVenueId(Long venueId);

    /**
     * 查询场馆基本信息列表
     *
     * @param venueInfo 场馆基本信息
     * @return 场馆基本信息集合
     */
    public List<VenueInfo> selectVenueInfoList(VenueInfo venueInfo);

    /**
     * 查询Top10
     *
     * @return
     */
    public List<TopVO> selectTop10();

    /**
     * 新增场馆基本信息
     *
     * @param venueInfo 场馆基本信息
     * @return 结果
     */
    public int insertVenueInfo(VenueInfo venueInfo);

    /**
     * 修改场馆基本信息
     *
     * @param venueInfo 场馆基本信息
     * @return 结果
     */
    public int updateVenueInfo(VenueInfo venueInfo);

    /**
     * 批量删除场馆基本信息
     *
     * @param venueIds 需要删除的场馆基本信息主键集合
     * @return 结果
     */
    public int deleteVenueInfoByVenueIds(Long[] venueIds);

    /**
     * 删除场馆基本信息信息
     *
     * @param venueId 场馆基本信息主键
     * @return 结果
     */
    public int deleteVenueInfoByVenueId(Long venueId);
}
