package com.jjt.biz.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.BluetoothInfoMapper;
import com.jjt.biz.domain.BluetoothInfo;
import com.jjt.biz.service.IBluetoothInfoService;

/**
 * 蓝牙信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
@Service
public class BluetoothInfoServiceImpl implements IBluetoothInfoService 
{
    @Autowired
    private BluetoothInfoMapper bluetoothInfoMapper;

    /**
     * 查询蓝牙信息
     * 
     * @param bInfoId 蓝牙信息主键
     * @return 蓝牙信息
     */
    @Override
    public BluetoothInfo selectBluetoothInfoByBInfoId(Long bInfoId)
    {
        return bluetoothInfoMapper.selectBluetoothInfoByBInfoId(bInfoId);
    }

    /**
     * 查询蓝牙信息列表
     * 
     * @param bluetoothInfo 蓝牙信息
     * @return 蓝牙信息
     */
    @Override
    public List<BluetoothInfo> selectBluetoothInfoList(BluetoothInfo bluetoothInfo)
    {
        return bluetoothInfoMapper.selectBluetoothInfoList(bluetoothInfo);
    }

    /**
     * 新增蓝牙信息
     * 
     * @param bluetoothInfo 蓝牙信息
     * @return 结果
     */
    @Override
    public int insertBluetoothInfo(BluetoothInfo bluetoothInfo)
    {
        return bluetoothInfoMapper.insertBluetoothInfo(bluetoothInfo);
    }

    /**
     * 修改蓝牙信息
     * 
     * @param bluetoothInfo 蓝牙信息
     * @return 结果
     */
    @Override
    public int updateBluetoothInfo(BluetoothInfo bluetoothInfo)
    {
        return bluetoothInfoMapper.updateBluetoothInfo(bluetoothInfo);
    }

    /**
     * 批量删除蓝牙信息
     * 
     * @param bInfoIds 需要删除的蓝牙信息主键
     * @return 结果
     */
    @Override
    public int deleteBluetoothInfoByBInfoIds(Long[] bInfoIds)
    {
        return bluetoothInfoMapper.deleteBluetoothInfoByBInfoIds(bInfoIds);
    }

    /**
     * 删除蓝牙信息信息
     * 
     * @param bInfoId 蓝牙信息主键
     * @return 结果
     */
    @Override
    public int deleteBluetoothInfoByBInfoId(Long bInfoId)
    {
        return bluetoothInfoMapper.deleteBluetoothInfoByBInfoId(bInfoId);
    }
}
