package com.jjt.biz.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.KeyInfoMapper;
import com.jjt.biz.domain.KeyInfo;
import com.jjt.biz.service.IKeyInfoService;

/**
 * 关键字Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
@Service
public class KeyInfoServiceImpl implements IKeyInfoService 
{
    @Autowired
    private KeyInfoMapper keyInfoMapper;

    /**
     * 查询关键字
     * 
     * @param keyId 关键字主键
     * @return 关键字
     */
    @Override
    public KeyInfo selectKeyInfoByKeyId(Long keyId)
    {
        return keyInfoMapper.selectKeyInfoByKeyId(keyId);
    }

    /**
     * 查询关键字列表
     * 
     * @param keyInfo 关键字
     * @return 关键字
     */
    @Override
    public List<KeyInfo> selectKeyInfoList(KeyInfo keyInfo)
    {
        return keyInfoMapper.selectKeyInfoList(keyInfo);
    }

    /**
     * 新增关键字
     * 
     * @param keyInfo 关键字
     * @return 结果
     */
    @Override
    public int insertKeyInfo(KeyInfo keyInfo)
    {
        return keyInfoMapper.insertKeyInfo(keyInfo);
    }

    /**
     * 修改关键字
     * 
     * @param keyInfo 关键字
     * @return 结果
     */
    @Override
    public int updateKeyInfo(KeyInfo keyInfo)
    {
        return keyInfoMapper.updateKeyInfo(keyInfo);
    }

    /**
     * 批量删除关键字
     * 
     * @param keyIds 需要删除的关键字主键
     * @return 结果
     */
    @Override
    public int deleteKeyInfoByKeyIds(Long[] keyIds)
    {
        return keyInfoMapper.deleteKeyInfoByKeyIds(keyIds);
    }

    /**
     * 删除关键字信息
     * 
     * @param keyId 关键字主键
     * @return 结果
     */
    @Override
    public int deleteKeyInfoByKeyId(Long keyId)
    {
        return keyInfoMapper.deleteKeyInfoByKeyId(keyId);
    }
}
