package com.jjt.biz.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.VenueAreaMapper;
import com.jjt.biz.domain.VenueArea;
import com.jjt.biz.service.IVenueAreaService;

/**
 * 场馆区域Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-07-06
 */
@Service
public class VenueAreaServiceImpl implements IVenueAreaService 
{
    @Autowired
    private VenueAreaMapper venueAreaMapper;

    /**
     * 查询场馆区域
     * 
     * @param areaId 场馆区域主键
     * @return 场馆区域
     */
    @Override
    public VenueArea selectVenueAreaByAreaId(Long areaId)
    {
        return venueAreaMapper.selectVenueAreaByAreaId(areaId);
    }

    /**
     * 查询场馆区域列表
     * 
     * @param venueArea 场馆区域
     * @return 场馆区域
     */
    @Override
    public List<VenueArea> selectVenueAreaList(VenueArea venueArea)
    {
        return venueAreaMapper.selectVenueAreaList(venueArea);
    }

    /**
     * 新增场馆区域
     * 
     * @param venueArea 场馆区域
     * @return 结果
     */
    @Override
    public int insertVenueArea(VenueArea venueArea)
    {
        return venueAreaMapper.insertVenueArea(venueArea);
    }

    /**
     * 修改场馆区域
     * 
     * @param venueArea 场馆区域
     * @return 结果
     */
    @Override
    public int updateVenueArea(VenueArea venueArea)
    {
        return venueAreaMapper.updateVenueArea(venueArea);
    }

    /**
     * 批量删除场馆区域
     * 
     * @param areaIds 需要删除的场馆区域主键
     * @return 结果
     */
    @Override
    public int deleteVenueAreaByAreaIds(Long[] areaIds)
    {
        return venueAreaMapper.deleteVenueAreaByAreaIds(areaIds);
    }

    /**
     * 删除场馆区域信息
     * 
     * @param areaId 场馆区域主键
     * @return 结果
     */
    @Override
    public int deleteVenueAreaByAreaId(Long areaId)
    {
        return venueAreaMapper.deleteVenueAreaByAreaId(areaId);
    }
}
