package com.jjt.biz.service.impl;

import java.util.List;

import com.jjt.biz.domain.RealTimeInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.WifiInfoMapper;
import com.jjt.biz.domain.WifiInfo;
import com.jjt.biz.service.IWifiInfoService;

import javax.annotation.Resource;

/**
 * WIFI信息Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-06
 */
@Service
public class WifiInfoServiceImpl implements IWifiInfoService {
    @Resource
    private WifiInfoMapper wifiInfoMapper;

    /**
     * 查询WIFI信息
     *
     * @param wifiInfoId WIFI信息主键
     * @return WIFI信息
     */
    @Override
    public WifiInfo selectWifiInfoByWifiInfoId(Long wifiInfoId) {
        return wifiInfoMapper.selectWifiInfoByWifiInfoId(wifiInfoId);
    }

    /**
     * 查询WIFI信息列表
     *
     * @param wifiInfo WIFI信息
     * @return WIFI信息
     */
    @Override
    public List<WifiInfo> selectWifiInfoList(WifiInfo wifiInfo) {
        return wifiInfoMapper.selectWifiInfoList(wifiInfo);
    }

    /**
     * 新增WIFI信息
     *
     * @param wifiInfo WIFI信息
     * @return 结果
     */
    @Override
    public int insertWifiInfo(WifiInfo wifiInfo) {
        return wifiInfoMapper.insertWifiInfo(wifiInfo);
    }

    /**
     * 修改WIFI信息
     *
     * @param wifiInfo WIFI信息
     * @return 结果
     */
    @Override
    public int updateWifiInfo(WifiInfo wifiInfo) {
        return wifiInfoMapper.updateWifiInfo(wifiInfo);
    }

    /**
     * 批量删除WIFI信息
     *
     * @param wifiInfoIds 需要删除的WIFI信息主键
     * @return 结果
     */
    @Override
    public int deleteWifiInfoByWifiInfoIds(Long[] wifiInfoIds) {
        return wifiInfoMapper.deleteWifiInfoByWifiInfoIds(wifiInfoIds);
    }

    /**
     * 删除WIFI信息信息
     *
     * @param wifiInfoId WIFI信息主键
     * @return 结果
     */
    @Override
    public int deleteWifiInfoByWifiInfoId(Long wifiInfoId) {
        return wifiInfoMapper.deleteWifiInfoByWifiInfoId(wifiInfoId);
    }

    /**
     * 查询实时记录
     *
     * @return
     */
    @Override
    public List<RealTimeInfoVO> selectRealTimeInfoList() {
        return wifiInfoMapper.selectRealTimeInfoList();
    }
}
