import com.dingtalk.api.DefaultDingTalkClient;
import com.dingtalk.api.DingTalkClient;
import com.dingtalk.api.request.OapiRobotSendRequest;
import com.dingtalk.api.response.OapiRobotSendResponse;
import com.taobao.api.ApiException;
import org.apache.commons.codec.binary.Base64;

import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.net.URLEncoder;
import java.util.Arrays;

public class DingTest {
    public static void main(String[] args) throws Exception {
        Long timestamp = System.currentTimeMillis();
        String secret = "SEC7ff9d3d9424aaac7e33b928a50b6862adb608703a17c57aabd52a18d3339b1cd";

        String stringToSign = timestamp + "\n" + secret;
        Mac mac = Mac.getInstance("HmacSHA256");
        mac.init(new SecretKeySpec(secret.getBytes("UTF-8"), "HmacSHA256"));
        byte[] signData = mac.doFinal(stringToSign.getBytes("UTF-8"));
        String sign = URLEncoder.encode(new String(Base64.encodeBase64(signData)), "UTF-8");
        System.out.println(sign);

        String uri = "https://oapi.dingtalk.com/robot/send?access_token=34fc98f715e06836350f8b1ee9d2211b3eee2568a15a0ef161c7f55ec7874113&timestamp=" + timestamp + "&sign=" + sign;

        DingTalkClient client = new DefaultDingTalkClient(uri);
        OapiRobotSendRequest request = new OapiRobotSendRequest();
//        request.setMsgtype("text");
//        OapiRobotSendRequest.Text text = new OapiRobotSendRequest.Text();
//        text.setContent("测试文本消息");
//        request.setText(text);
//        OapiRobotSendRequest.At at = new OapiRobotSendRequest.At();
////        at.setAtMobiles(Arrays.asList("17760370787"));
//// isAtAll类型如果不为Boolean，请升级至最新SDK
//        at.setIsAtAll(true);
////        at.setAtUserIds(Arrays.asList("109929", "32099"));
//        request.setAt(at);

//        request.setMsgtype("link");
//        OapiRobotSendRequest.Link link = new OapiRobotSendRequest.Link();
//        link.setMessageUrl("http://8.142.173.95:18001/");
//        link.setPicUrl("http://8.142.173.95:18001/static/img/logo.996775e0.png");
//        link.setTitle("恶意动态预警");
//        link.setText("有新的恶意,点击查看位置信息");
//        request.setLink(link);
//
        request.setMsgtype("markdown");
        OapiRobotSendRequest.Markdown markdown = new OapiRobotSendRequest.Markdown();
        markdown.setTitle("恶意动态预警");
        String content = "MAC地址(11：22：33：44)";
        content = URLEncoder.encode(content, "utf-8");
        String text = "###恶意动态预警\n" +
                "> 发现类型为”反动“的恶意蓝牙”测试“\t[位置](http://api.map.baidu.com/marker?location=30.67,104.88&title=恶意WIFI&content=" + content + "&output=html) \n\n" +
                "> 发现类型为”反动“的恶意WIFI”“\t[位置](http://8.142.173.95:18001/?t=1689242765017&type=WIFI&name=%E6%B3%95%E8%BD%AE%E5%8A%9F%E5%A5%BD%E5%93%87&keyword=%E5%8F%8D%E5%8A%A8&time=1688549244000) ";
        markdown.setText(text);
        request.setMarkdown(markdown);
        OapiRobotSendResponse response = client.execute(request);
        response.isSuccess();
    }
}
